notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

Current status

The server has been repaired, with a new power supply, for $23. I am waiting for lower COVID rates before visiting the datacenter to return it.
User login/updates are disabled as part of transition to git. Read details in our recent bog post - this is the old server.
Port details
libarcus Communication library between internal components for Ultimaker
4.8.0_3,1 net on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 4.8.0_3,1Version of this port present on the latest quarterly branch.
Maintainer: db@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2020-03-25 19:15:38
Last Update: 2021-03-16 09:29:54
SVN Revision: 568547
Also Listed In: cad
License: LGPL3
Description:
SVNWeb : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (21 items)
Collapse this list.
  1. @ldconfig
  2. /usr/local/share/licenses/libArcus-4.8.0_3,1/catalog.mk
  3. /usr/local/share/licenses/libArcus-4.8.0_3,1/LICENSE
  4. /usr/local/share/licenses/libArcus-4.8.0_3,1/LGPL3
  5. include/Arcus/ArcusExport.h
  6. include/Arcus/Error.h
  7. include/Arcus/MessageTypeStore.h
  8. include/Arcus/Socket.h
  9. include/Arcus/SocketListener.h
  10. include/Arcus/Types.h
  11. lib/cmake/Arcus/Arcus-targets-release.cmake
  12. lib/cmake/Arcus/Arcus-targets.cmake
  13. lib/cmake/Arcus/ArcusConfig.cmake
  14. lib/cmake/Arcus/ArcusConfigVersion.cmake
  15. lib/libArcus.so
  16. lib/libArcus.so.1.1.0
  17. lib/libArcus.so.3
  18. lib/python3.7/site-packages/Arcus.so
  19. @owner
  20. @group
  21. @mode
Collapse this list.
Dependency lines:
  • For RUN/BUILD depends:
    • libArcus>0:net/libarcus
  • For LIB depends:
    • libArcus.so:net/libarcus
To install the port: cd /usr/ports/net/libarcus/ && make install clean
To add the package: pkg install libArcus
PKGNAME: libArcus
Flavors: there is no flavor information for this port.
distinfo:
Packages: (move your mouse over the cells for more information)
libArcus
ABIlatestquarterly
FreeBSD:11:aarch64-15.06.03_1
FreeBSD:11:amd644.8.0_3,14.8.0_3,1
FreeBSD:11:armv6-15.06.03_1
FreeBSD:11:i3864.8.0_3,14.8.0_3,1
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64-4.8.0_3,1
FreeBSD:12:amd644.8.0_3,14.8.0_3,1
FreeBSD:12:armv6-4.7.1,1
FreeBSD:12:armv7-4.7.1,1
FreeBSD:12:i3864.8.0_3,14.8.0_3,1
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64-4.8.0_3,1
FreeBSD:13:aarch644.8.0,14.8.0_3,1
FreeBSD:13:amd644.8.0_3,14.8.0_3,1
FreeBSD:13:armv64.8.0,14.8.0_3,1
FreeBSD:13:armv74.8.0,14.8.0_3,1
FreeBSD:13:i3864.8.0_3,14.8.0_3,1
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc644.7.1_2,14.7.1_2,1
FreeBSD:14:aarch644.8.0_3,1-
FreeBSD:14:amd644.8.0_3,1-
FreeBSD:14:armv64.8.0_3,1-
FreeBSD:14:armv74.8.0_3,1-
FreeBSD:14:i3864.8.0_3,1-
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc644.8.0_2,1-
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. cmake : devel/cmake
  2. ninja : devel/ninja
  3. python3.7 : lang/python37
  4. py37-qt5-sip>=12.8.1 : devel/py-qt5-sip@py37
  5. py37-sip>=5.5.0 : devel/py-sip@py37
Runtime dependencies:
  1. python3.7 : lang/python37
  2. py37-qt5-sip>=12.8.1 : devel/py-qt5-sip@py37
  3. py37-sip>=5.5.0 : devel/py-sip@py37
Library dependencies:
  1. libprotobuf.so : devel/protobuf
This port is required by:
for Libraries
  1. cad/cura
  2. cad/cura-engine

Configuration Options

USES:

Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://codeload.github.com/Ultimaker/libArcus/tar.gz/4.8.0?dummy=/
Collapse this list.

Number of commits found: 11

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
16 Mar 2021 09:29:54
Original commit files touched by this commit  4.8.0_3,1
Revision:568547
lbartoletti search for other commits by this committer
PyQt5: Update PyQt5 to 5.15.4 and py-qtbuilder to 1.9.1

PR:		254218
Exp-run by:	antoine
08 Mar 2021 06:49:18
Original commit files touched by this commit  4.8.0_2,1
Revision:567825
lbartoletti search for other commits by this committer
PyQt5: Update PyQt5 to 5.15.3, QScintilla2 to 2.12.0, py-qtbuilder to 1.9.0

* PyQt5: update to 5.15.3

This is a minor feature and bug-fix release. There are corresponding releases of
the other PyQt5-related packages.

 - Added the missing QImage.setAlphaChannel().
 - Support for the QtNetworkAuth library has been moved to a separate
PyQtNetworkAuth package.
 - Wheels no longer bundle the corresponding Qt libraries and instead
automatically install them from an external wheel.

* QScintilla2: update to 2.12.0

This adds support for Qt6 and removes support for Qt4.

 - Change the new distname (again)i due to a conflict
 - Use the new sip-build system

* devel/py-qtbuilder: update to 1.9.0
* devel/py-sip: fix flavor for sip-distinfo

PR:		253865
Exp-run by:	antoine
26 Jan 2021 14:01:09
Original commit files touched by this commit  4.8.0_1,1
Revision:562671
sunpoet search for other commits by this committer
Bump PORTREVISION for devel/protobuf shlib change
13 Jan 2021 23:17:51
Original commit files touched by this commit  4.8.0,1
Revision:561521
db search for other commits by this committer
Really update libarcus to 4.8

N.B. the wrinkle in cmake build here.
find_package(Pythoninterp 3.4 REQUIRED) can find your install Python 3.9
instead of the DEFAULT Python. Force the correct one with a few patches.

PR:		ports/251236
Submitted by:	sko@rostwald.de
Reported by:	trombik1973@gmail.com
15 Dec 2020 17:56:00
Original commit files touched by this commit  4.7.1_2,1
Revision:558168
lbartoletti search for other commits by this committer
Update PyQt5 to 5.15.2, sip to 5.5.0, py-qtbuilder to 1.6.0 and py-qt5-sip to
12.8.1

PR:		251764
Exp-run by: antoine
08 Dec 2020 20:03:07
Original commit files touched by this commit  4.7.1_1,1
Revision:557300
lbartoletti search for other commits by this committer
Update Qt/PySide2 to 5.15.2 / PyQt to 5.15.1 / SIP to 5.4.0
This commit combines several updates.

- Update Qt to 5.12.2
- Update PyQt to 5.15.1
- Since PySide 5.15.1 is broken with Qt 5.15.2, so PySide and Shiboken are also
updated to 5.15.2.
- Update sip to 5.4.0

SIP is a collection of tools  to create Python bindings for C and C++ libraries
and used by PyQt and wxPython. There are some changes with sip5 [1]:
- python 3.5+ is required
- sip drops support of old deprecated methods as sipdistutils & cie.
- this version breaks also PyQt5 extension ABI. SIP files will be installed in
${PYTHON_SITELIBDIR}/PyQt${_PYQT_VERSION}/bindings
- some ports will use the new pyqtbuilder package with the pyproject.toml setup.
Instead if the project have a setup.py, you should use sip-build to build it.
- if a port needs sip, it should also needs pysip. BTW, py-qt5-core requires
pysip, so that should be enough for PyQt packages.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
26 Sep 2020 19:53:10
Original commit files touched by this commit  4.7.1,1
Revision:550214
db search for other commits by this committer
This patch updates Cura and all associated dependencies to 4.7.1.

Also, it adds math/py-numpy-stl - an optional dependency that makes
loading STL files much faster. Without it, Cura was complaining:

2020-09-20 02:19:31,877 - WARNING - [MainThread] STLReader.STLReader.<module>
[32]: Could not find numpy-stl, falling back to slower code.

I'm not sure where the 6.x version in cad/fdm_materials came from, seems
like now that project has its version in sync with the Cura version,
so I chose to increment PORTEPOCH for that. [Greg]

- fdm_materials adds some new materials usable with Cura
- I had to bump PORTEPOCH on a couple of ports
- py-numpy-stl was added on a separate commit
- Bump version checking in Cura on some dependancies
[db]

PR:		ports/249468
Submitted by:	greg@unrelenting.technology
30 Aug 2020 20:19:42
Original commit files touched by this commit  15.06.03_2
Revision:547081
sunpoet search for other commits by this committer
Bump PORTREVISION for devel/protobuf shlib change
03 Jun 2020 18:32:06
Original commit files touched by this commit  15.06.03_1
Revision:537830
sunpoet search for other commits by this committer
Bump PORTREVISION for devel/protobuf shlib change
02 Apr 2020 17:43:59
Original commit files touched by this commit  15.06.03
Revision:530389
pkubaj search for other commits by this committer
net/libarcus: fix build on GCC architectures

C++11 compiler is necessary:
/usr/local/include/google/protobuf/arena_impl.h:323: error: ISO C++ forbids
declaration of 'atomic' with no type

MFH:		2020Q2 (fix build blanket)
25 Mar 2020 17:58:43
Original commit files touched by this commit  15.06.03
Revision:529112
db search for other commits by this committer
libArcus

This library contains C++ code and Python3 bindings for creating a socket
in a thread and using this socket to send and receive messages based on
the Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code.

WWW: https://github.com/Ultimaker/libArcus

Number of commits found: 11

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
Security Policy
Privacy
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
samba411Mar 28
samba412Mar 28
samba413Mar 28
linux-c7-nettleMar 27
nettleMar 27
opensslMar 26
spamassassinMar 24
giteaMar 23
giteaMar 21
dnsmasqMar 18
dnsmasq-develMar 18
gitlab-ceMar 18
minioMar 17
chromiumMar 16
libresslMar 16

12 vulnerabilities affecting 72 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2021-03-28 22:40:29


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 42809
Broken 73
Deprecated 286
Ignore 313
Forbidden 4
Restricted 137
No CDROM 71
Vulnerable 22
Expired 122
Set to expire 262
Interactive 0
new 24 hours 0
new 48 hours0
new 7 days0
new fortnight0
new month28

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2021 Dan Langille. All rights reserved.